<!DOCTYPE html>
<html>
  <head>
    <title>Promise</title>
  </head>
  <body>
    <script>
      function promesa() {
        let p = new Promise((resolve, reject)=> {
          let a = 1
          setTimeout(() => {
            if (a==1) {
              resolve('a es igual a 1')
            } else {
              reject('a no es igual a 1')
            }
          }, 2000);
        })

        console.log('Antes')

        p.then((mensaje) => {
          console.log('En then: ' + mensaje)
        }).catch((err)=>{
          console.log('En catch: ' + err)
        })

        console.log('Despues')
      }

      console.log('Antes promesa')
      promesa()
      console.log('Despues promesa')
    </script>
  </body>
</html>
